Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Tom Elliott
    @tmelliott
    But if you want to install and run from R(studio), just run
    install.packages('iNZight', repos = c('http://r.docker.stat.auckland.ac.nz/R', 'https://cran.rstudio.com'), dependencies = TRUE)
    The dependencies = TRUE argument should grab all the necessary packages and suggestions; if you want to use the VIT module, install that the same way, replacing 'iNZight' with 'vit'.
    Antoine
    @ACasquin_twitter
    thanks a lot Tom
    I prior test to download the Github repository and install it as a libray it din't work. I a am going to try this way now :)
    Richard Norrie
    @rtanorrie_twitter
    I can't figure out how to get my timeseries running in iNZight. I have daily data running from May 5 2016 to August 31 2016. What would you specify the time information as? Thanks.
    Tom Elliott
    @tmelliott
    Daily data is a little tricky. Currently iNZight can only deal with constant periods (e.g., 12 months/year, or 7 days/week - but not for example 30/31 days/month, or 365/364 days/year). This page has describes how to specify daily observations over weeks.
    However if you specify Start date, Season Number, and Frequency all to one, you'll be looking at observations of 1 day/day. The x-axis will represent days since the first observation. There's not yet support to the x-axis to display the date (month etc) for this type of data.
    AprilX
    @apexiez_twitter
    Hi there - I have a dataset with 886 rows of data, and inzight says "too many levels to draw a barchart (has 234 levels)" when i try to plot a variable. Is inzight only capable of a maximum number of data points? Thanks
    Tom Elliott
    @tmelliott
    You're probably trying to plot a categorical variable (text values). Try a variable with numbers and iNZight should draw a graph.
    AprilX
    @apexiez_twitter
    Thank you!
    Jamie
    @JJJollyjim
    Hi, is this a known OSX issue? Info is second hand and all I have is the screenshot right now, can get more info if needed.
    http ://i.imgur.com/Ada6POK.jpg
    (whoops, Gitter butchered the link: http://i.imgur.com/Ada6POK.jpg)
    Tom Elliott
    @tmelliott
    @JJJollyjim that's not exactly one I've seen before; few reasons why that might have happened. Did you install using the DMG (which contains GTK, XQuartz, R, and iNZightVIT)?
    Tiger McEwan
    @Tigermcewan_twitter
    Hi I'm trying to use the maps function, but the Latitude and Longitude drop down menus are blank. Is it me being a bit thick or should I reinstall??Thanks Val
    Tom Elliott
    @tmelliott
    @Tigermcewan_twitter what data set are you using? iNZight only shows numeric variables in the drop down, so if there aren't any of those they won't show up (make sure the actual lat/lon values aren't secretly character!). Try the example NZ Quakes data set - if that works, it'll be related to your data; if it doesn't, then yeah you might need to reinstall.
    Bartłomiej
    @Bartomi91685729_twitter
    Hi, can you tell me how to open find VIT
    Tom Elliott
    @tmelliott
    What operating system?
    Jonny Mehraban
    @Jonnymban_twitter
    hello guys, im trying to install inzight into my macbook
    i had to install GTK 2.24.17-X11 however its still not working.. when i open the software R opens
    Tom Elliott
    @tmelliott
    @Jonnymban_twitter Make sure you've installed XQuartz (https://www.xquartz.org/) and restarted your computer. When you start iNZight, you should get R opening up, followed by XQuartz (an X in the dock) - the first time it'll take a few minutes to install the dependencies, then iNZight should launch.
    Elizabeth D. Swanner
    @betsyswanner_twitter
    I have chemical data with stdev for each measurement. Can I plot error bars using this data in inzight?
    Tom Elliott
    @tmelliott
    Unfortunately no. iNZight doesn't have any way of using pre-calculated errors.
    Elizabeth D. Swanner
    @betsyswanner_twitter
    Thank you for making this. It is really handy.
    I would like to also learn how to use R, but the installed copy won't let me change WD. Should I install another R for non-iNZight use?
    Tom Elliott
    @tmelliott
    Strange ... you should be able to change unless it's installed somewhere that limits it's access permissions. You can safely install another copy of R though.
    Marta Vila C.
    @VilaCMarta_twitter
    Hello! I'm new using iNZight and I have a doubt according to print plot for using outside iNZight software,

    Is there any way to change the font?

    Concretely, I would like to add one of the plots I have made in an article written in Times New Roman and I don't find how to change my plot's axex font.

    Tom Elliott
    @tmelliott
    @VilaCMarta_twitter Hi - currently iNZightPlot() doesn't allow you to change the font. However, I've created an issue on Github (iNZightVIT/iNZightPlots#37) and I'll try get around to implementing that in the near future. (If you have github, you can subscribe to notifications about the issue on the right and get notified when I get around to implementing it!).
    terryjiang1996
    @terryjiang1996
    Hi there, I just tried to install iNZight on my osx 10.12.6 system and I get an error like this:
    Error: file ‘/var/folders/fz/drgkmh953v59cqk75s9msqfh0000gn/T//RtmpaCYpuy/downloaded_packages/sp_1.2-6.tgz’ is not an OS X binary package
    Is there anyway to fix that?
    Tom Elliott
    @tmelliott
    @terryjiang1996 can't say I've seen that one before ... potentially a corrupt download, so try deleting the iNZightVIT app folder from Applications and download a new copy from here: https://www.stat.auckland.ac.nz/~wild/iNZight/getinzight.php?os=mac&v=self
    terryjiang1996
    @terryjiang1996
    @tmelliott I tried and this error came out again. Looks like replacing or deleting the file it points out to a right one won't help either.
    Tom Elliott
    @tmelliott
    @terryjiang1996 What R version are you running? iNZight only runs on Mac with R 3.2.
    terryjiang1996
    @terryjiang1996
    @tmelliott It's 3.2.4
    Tom Elliott
    @tmelliott
    @terryjiang1996 Potentially a corrupt file, or likewise. Try typing the following into the R Console: install.packages("sp", type = "source")
    terryjiang1996
    @terryjiang1996
    @tmelliott The same error again.

    @tmelliott tar:
    Unrecognized archive format
    tar: Error exit delayed from previous errors.
    Error: file ‘/var/folders/fz/drgkmh953v59cqk75s9msqfh0000gn/T//Rtmp8535Ne/downloaded_packages/sp_1.2-6.tgz’ is not an OS X binary package
    In addition: Warning message:
    'tar' returned non-zero exit code 1
    Execution halted

    The downloaded source packages are in
    ‘/private/var/folders/fz/drgkmh953v59cqk75s9msqfh0000gn/T/RtmpXP06Ai/downloaded_packages’
    Warning message:
    In install.packages("sp", type = "source") :
    installation of package ‘sp’ had non-zero exit status

    Tom Elliott
    @tmelliott
    Alright, looking at the CRAN page for the troublesome package, it looks like the mac binaries aren't up to date, and your system is getting confused as to which to download.
    1. download to your Downloads folder the OS X binary for the previous version: https://cran.r-project.org/bin/macosx/el-capitan/contrib/3.4/sp_1.2-5.tgz
    2. in R, run: install.packages('~/Downloads/sp_1.2-5.tgz', repos = NULL)
    3. fingers crossed that is more successful
      NOTE: I don't have access to a Mac right now, so I can't confirm those commands work - just let me know what errors etc you get (feel free to email tom.elliott@stat.auckland.ac.nz if you find that easier). Also, depending what part of iNZight you need, it might be easier to use iNZight Lite.
    terryjiang1996
    @terryjiang1996
    @tmelliott Alright, the error changed into this:
    tar: Unrecognized archive format
    tar: Error exit delayed from previous errors.
    Error: file ‘/var/folders/fz/drgkmh953v59cqk75s9msqfh0000gn/T//RtmpLoFOyX/downloaded_packages/gWidgets2RGtk2_1.0-7.tgz’ is not an OS X binary package
    In addition: Warning message:
    'tar' returned non-zero exit code 1
    Execution halted
    I just installed a visual windows 7 on my mac and the windows version works fine, perhaps I should just give up that mac version.
    Thanks for helping.
    Tom Elliott
    @tmelliott
    @terryjiang1996 seems there's something odd going on somewhere; unsure why your R isn't fetching the correct files. If VM is working for you, stick with that.
    terryjiang1996
    @terryjiang1996
    @tmelliott I get the gWidgets2RGtk2_1.0-5-2.tgz from stat.auckland.ac.nz manually and that works! XD
    Tom Elliott
    @tmelliott
    Ah awesome - I was worried it was going to become a game of manually-download-all-of-the-packages-one-by-one, but just the two isn't too much work. Get in touch if you run into any problems.
    Minping Yang
    @yangminp
    Hello, does anyone know how to change the percentage of confidence interval from 95% to 99% for calculating the p-value in t-test by using iNZight. thanks
    Tom Elliott
    @tmelliott
    @yangminp not yet possible, but I've added it to my to-do list (iNZightVIT/iNZight#74).
    Wackycatgun
    @Wackycatgun
    Hi there, I am a year 13 student doing stats at the moment with the newest version of iNZsight. I am not sure how to do bootstrapping on the newest version of iNZight and I was hoping someone here could help me.
    Tom Elliott
    @tmelliott
    When you install iNZight you should get two different programs: iNZight and VIT - the VIT one does all the bootstrapping, so open that instead of iNZight.
    Wackycatgun
    @Wackycatgun
    haha thank you, so simple
    joel-williams
    @joel-williams
    Hi, is anyone able to tell me where I can find the details of the software license for iNZight - just trying to certify that we are okay to use this in our organisation
    joel-williams
    @joel-williams
    apologies - have found it. Cheers.
    Leah
    @LdeH_gitlab
    Hi there, I am trying to amend a multiple response plot
    How do I do this?